package p.studio.lsp.api;

import p.studio.lsp.messages.LspProjectContext;
import p.studio.lsp.messages.LspServerConfiguration;

public interface LspServerLifecycle {
    void bootServer(LspServerConfiguration serverConfiguration, LspProjectContext context);

    void shutdownServer(LspProjectContext context);
}
